Bug 873156 - [TEXT] [admin-portal] Improve error message, during creation Live-Snapshot on NFS DC with 3.0 compatibility version
[TEXT] [admin-portal] Improve error message, during creation Live-Snapshot on...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Alissa
vvyazmin@redhat.com
storage
:
Depends On:
Blocks: 889077 909811 915537
  Show dependency treegraph
 
Reported: 2012-11-05 04:33 EST by vvyazmin@redhat.com
Modified: 2016-02-10 13:23 EST (History)
11 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 889077 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, screen-shots (473.77 KB, application/x-gzip)
2012-11-05 04:33 EST, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-11-05 04:33:29 EST
Created attachment 638432 [details]
## Logs rhevm, screen-shots

Description of problem: [admin-portal] Irrelevant warning error message, during creation Live-Snapshot on NFS DC with 3.0 compatibility version

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI24

RHEVM: rhevm-3.1.0-26.el6ev.noarch
VDSM: vdsm-4.9.6-41.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.5.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.4.x86_64
SANLOCK: sanlock-2.3-4.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create VM with installed OS on NFS DC with 3.0 compatibility version.
2. Power on VM
3. Try create a Live-Snapshot  

Actual results:
Get a warning: Error while executing action. Cannot create Snapshot. At least one of VMs is not down.

Expected results:
Warning message should explain, that on NFS DC with 3.0 compatibility version you can't create a Live-Snapshot, please power-off a VM first.

Additional info:

/var/log/ovirt-engine/engine.log

2012-11-05 10:42:32,448 WARN  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp-/127.0.0.1:8702-5) CanDoAction of action CreateAllSnapshotsFromVm failed. Reasons:VAR__ACTION__CREATE,VAR__TYPE__SNAPSHOT,ACTION_TYPE_FAILED_VM_IS_NOT_DOWN
Comment 1 Alissa 2012-12-13 10:29:53 EST
The error should be fixed, however a better solution would be to block/grey out that option in the UI.
Comment 2 Alissa 2012-12-17 12:25:55 EST
posted fix
http://gerrit.ovirt.org/#/c/10171/

Change-Id: I7b6dfc138951baddc991a82a4c9e64f60499428a

pending review
Comment 3 Allon Mureinik 2012-12-19 12:16:11 EST
Merged fix upstream
Comment 4 vvyazmin@redhat.com 2013-01-09 11:44:05 EST
No issues are found

Verified on RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 5 Itamar Heim 2013-06-11 05:39:55 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:39:58 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:53:32 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.